/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Download Statusbar.
 *
 * The Initial Developer of the Original Code is
 * Devon Jensen.
 *
 * Portions created by the Initial Developer are Copyright (C) 2003
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s): Devon Jensen <velcrospud@hotmail.com>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

/* function init()
{
  var pref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

  try {
    var checkboxes = ["percentDisplay", "speedDisplay", "sizeDisplay", "timeDisplay", "dialogsOnClose", 
    				  "removeOnOpen", "removeOnShow", "askOnDelete", "clearOnClose", "imageRemove", 
    				  "dialogsOff", "downloadRemove"];
    for (var i = 0; i < checkboxes.length; ++i) {
      var checkbox = document.getElementById(checkboxes[i]);
      checkbox.checked = pref.getBoolPref(checkbox.getAttribute("prefstring"));
    }
    
    var textboxes = ["imageRmSec", "downloadRmSec"];
    for (var i = 0; i < textboxes.length; ++i) {
    	var textbox = document.getElementById(textboxes[i]);
    	var prefstring = textbox.getAttribute("prefstring");
    	textbox.value = pref.getIntPref(prefstring);
    }
    
  }
  catch (e) {
  }
} */

/* function saveSettings()
{
  var pref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
  
  var checkboxes = ["percentDisplay", "speedDisplay", "sizeDisplay", "timeDisplay", "dialogsOnClose", 
  					"removeOnOpen", "removeOnShow", "askOnDelete", "clearOnClose", "imageRemove", 
  					"dialogsOff", "downloadRemove"];
  
  // only let the user select 2 or less display items
  var count = 0;
  for (var j = 0; j < 4; ++j) {
  	var checkbox = document.getElementById(checkboxes[j]);
  	if (checkbox.checked) ++count;
  }
  if (count > 2) {
  	alert("Please select 2 or fewer display items.  New settings not saved, try again.");
  	return false;
  }
  
  for (var i = 0; i < checkboxes.length; ++i) {
    var checkbox = document.getElementById(checkboxes[i]);
    pref.setBoolPref(checkbox.getAttribute("prefstring"), checkbox.checked);
  }
  
  var textboxes = ["imageRmSec", "downloadRmSec"];
  for (var i = 0; i < textboxes.length; ++i) {
  	var textbox = document.getElementById(textboxes[i]);
  	pref.setIntPref(textbox.getAttribute("prefstring"), textbox.value);
  }

  // Now get a reference to the main window and reset the new display
  var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"].getService(Components.interfaces.nsIWindowMediator);
  var wrecent = wm.getMostRecentWindow("navigator:browser");
  wrecent.readPrefs();
  wrecent.setAllDisplayItems();

  return true;
} */

/*function setColorWell (aPicker) {
	
	var colorRef = aPicker.nextSibling;
	colorRef.setAttribute("value", aPicker.color);	
}*/

function readNewSettings() {
	// Get a reference to the main window and reset the new display
	var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"].getService(Components.interfaces.nsIWindowMediator);
	var wrecent = wm.getMostRecentWindow("navigator:browser");
	wrecent.readPrefs();
	wrecent.setAllDisplayItems();
}